> [!warning]
> This is a work in progress and not stable.

# Mirai

Simple tasks and calendar app that store all your data as markdown files, you can edit them 
with whatever you want and sync them using third party software (like Syncthing).

![Mirai Tasks](https://codeberg.org/vyn/mirai/raw/branch/main/images/tasks.png)

![Mirai Calendar](https://codeberg.org/vyn/mirai/raw/branch/main/images/calendar.png)

## Build from source

### Requirements

- GCC >= 14.2.1
- CMake >= 3.30.2
- Ninja (or Make but you will need to adapt the commands)
- Git

### Steps

Fetch and setup the repository:
```
git clone https://codeberg.org/vyn/mirai.git
cd mirai
git submodule update --init --recursive
```

To build:
```
cmake -DCMAKE_BUILD_TYPE=Release -S . -B ./build -G Ninja
cd build
ninja
```
Then you should have a `mirai` executable in the `build` directory you are currently in.

## To-do

- Add CLI mode for quick adding tasks

## License

Copyright (C) Vyn 2024

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, under version 3 of the License only.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program in the LICENSE file.
If not, see <https://www.gnu.org/licenses/gpl-3.0.txt>.

## Contributing

Feel free to make suggestions and report issues, but I do **not** accept contributions (pull requests).

## Credits

This software uses free images from Flaticon.com
