/*
 * Mirai. Copyright (C) 2024 Vyn
 * This file is licensed under version 3 of the GNU General Public License (GPL-3.0-only)
 * The license can be found in the LICENSE file or at https://www.gnu.org/licenses/gpl-3.0.txt
 */

#include "app_logic.h"
#include "evalyte-cpp-common/evalyte.h"
#include "mirai-core/core.h"
#include "ui.h"
#include <cstdlib>
#include <string>

int main(int argc, char **argv)
{
	evalyte::create_required_directories("mirai");
	const auto config_file_path = evalyte::config_directory_path("mirai") + "/config.json";
	mirai::core mirai{config_file_path};
	app_logic app{&mirai};
	app.run();
	return 0;
}
